---
title: 'SVGElement: unload event'
slug: Web/API/SVGElement/unload_event
tags:
  - API
  - Reference
  - SVGElement
  - events
  - unload
---
<div>{{APIRef("SVG")}}</div>

<p>The <code>unload</code> event is fired when the DOM implementation removes an SVG document from a window or frame.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("SVGEvent")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td><code><a href="/en-US/docs/Web/API/WindowEventHandlers/onunload">onunload</a></code></td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">svgElem.addEventListener('unload', () =&gt; {
  console.log('SVG unloaded.');
})</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('SVG2', 'single-page.html#interact-UnloadEvent', 'unload')}}</td>
   <td>{{Spec2('SVG2')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGElement.unload_event")}}</p>
